Loading...
Searching...
No Matches
ranges::views::join_fn Struct Reference
Inheritance diagram for ranges::views::join_fn:

## Related Symbols

(Note that these are not member symbols.)
constexpr view_closure< join_fn > | join {}

## Additional Inherited Members

Public Member Functions inherited from ranges::views::join_base_fn
template<typename Rng > requires joinable_with_range<Rng, single_view<inner_value_t<Rng>>>
join_with_view< all_t< Rng >, single_view< inner_value_t< Rng > > > | operator() (Rng &&rng, inner_value_t< Rng > v) const
template<typename Rng , typename ValRng > requires joinable_with_range<Rng, ValRng>
join_with_view< all_t< Rng >, all_t< ValRng > > | operator() (Rng &&rng, ValRng &&val) const
Public Member Functions inherited from ranges::views::cpp20_join_fn
template<typename Rng > requires joinable_range<Rng>
join_view< all_t< Rng > > | operator() (Rng &&rng) const
Public Member Functions inherited from ranges::views::join_bind_fn
template<typename T > requires (!joinable_range<T>)
constexpr auto | operator() (T &&t) const
template<typename T > requires (!joinable_range<T &>) && range<T &>
constexpr auto | operator() (T &t) const